import 'package:flutter/material.dart';
import 'package:voyagehandbook/views/home.dart';

import '../views/search.dart';

/// Used to generate the drawer
///
/// Use `0` in `page` if you don't want any tile selected
Drawer genDrawer(int page, BuildContext context) => Drawer(
      child: ListView(
        children: [
          DrawerHeader(
            child: Column(
              children: const [
                Text(
                  "Voyage Handbook",
                  style: TextStyle(fontWeight: FontWeight.bold),
                ),
                Text("Created by Matyáš Caras"),
                Text("Thanks to WikiVoyage")
              ],
            ),
          ),
          ListTile(
            selected: page == 1,
            title: const Text("Home"),
            leading: const Icon(Icons.home),
            onTap: () => page == 1
                ? Navigator.of(context).pop()
                : Navigator.of(context).push(
                    MaterialPageRoute(
                      builder: (_) => const HomeView(),
                    ),
                  ),
          ),
          ListTile(
            selected: page == 2,
            title: const Text("Search"),
            leading: const Icon(Icons.search),
            onTap: () => page == 2
                ? Navigator.of(context).pop()
                : Navigator.of(context).push(
                    MaterialPageRoute(
                      builder: (_) => const SearchView(),
                    ),
                  ),
          ),
        ],
      ),
    );
